[arch-commits] Commit in lesstifextensions/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 00:43:53 EDT 2009


    Date: Friday, April 10, 2009 @ 00:43:53
  Author: eric
Revision: 34552

Merged revisions 356,34546 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/lesstifextensions/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r34546 | eric | 2009-04-10 00:28:52 -0400 (Fri, 10 Apr 2009) | 2 lines
  
  upgpkg: lesstifextensions 13.0.13-1
      Upstream update, Added arch tag, Added license, Added url, Added libxpm depends, Added libxaw makedepends, FHS man pages and docs
........

Modified:
  lesstifextensions/repos/extra-i686/	(properties)
  lesstifextensions/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)


Property changes on: lesstifextensions/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /lesstifextensions/trunk:1
   + /lesstifextensions/trunk:1-34551

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 04:37:22 UTC (rev 34551)
+++ extra-i686/PKGBUILD	2009-04-10 04:43:53 UTC (rev 34552)
@@ -1,19 +1,24 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
-# Committer: Judd Vinet <jvinet at zeroflux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
 pkgname=lesstifextensions
-pkgver=9.0.9
-pkgrel=3
+pkgver=13.0.13
+pkgrel=1
 pkgdesc="Extensions for lesstif"
-depends=('lesstif')
-source=(ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/LessTifExtensions-$pkgver.tar.gz)
-md5sums=('865194144aa96c3a077d7807aab8f6aa')
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/xlt/"
+license=('GPL' 'LGPL')
+depends=('lesstif' 'libxpm')
+makedepends=('libxaw')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/xlt/Xlt-$pkgver.tar.gz)
+md5sums=('46b6259c7637d6e9b87520eb91b6ea51')
 
 build() {
-  cd $startdir/src/LessTifExtensions-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/Xlt-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  rm -rf $startdir/pkg/usr/LessTif
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir mandir=/usr/share/man htmldir=/usr/share/doc/Xlt/html install || return 1
+  rm $pkgdir/usr/share/aclocal/ac_find_motif.m4
 }



More information about the arch-commits mailing list